* {
    margin: 8px;
}

html {
    scroll-behavior: smooth;
}

h1{
    font-family: "Anton", sans-serif;
    font-weight: 400;
    font-style: normal;
    padding: 50px;
    padding-bottom: 10px;
    color: whitesmoke;
}

h2{
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    font-variation-settings:
      "wdth" 100;
      text-align: center;
}

h3{
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-variation-settings:
      "wdth" 100;
      padding: 50px;
      padding-top: 10px;
} 

h4{
    font-family: "Roboto Flex", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    font-variation-settings:
      "slnt" 0,
      "wdth" 100,
      "GRAD" 0,
      "XOPQ" 96,
      "XTRA" 468,
      "YOPQ" 79,
      "YTAS" 750,
      "YTDE" -203,
      "YTFI" 738,
      "YTLC" 514,
      "YTUC" 712;
}

p{
    font-family: "Roboto Flex", sans-serif;
    font-optical-sizing: auto;
    font-weight: 100;
    font-style: normal;
    font-variation-settings:
      "slnt" 0,
      "wdth" 100,
      "GRAD" 0,
      "XOPQ" 96,
      "XTRA" 468,
      "YOPQ" 79,
      "YTAS" 750,
      "YTDE" -203,
      "YTFI" 738,
      "YTLC" 514,
      "YTUC" 712;
}

header {
    background-color: rgb(68, 121, 174);
    margin: 5px;
    color: whitesmoke;
    width: 100%;
}

header img{
    max-width: 96%;
    height: auto;
}

nav>ul {
    list-style-type: none;
    display: flex;
    justify-content: space-evenly;
    padding: 1.5%;
    background-color: #192574;
    opacity: 90%;
    
    font-family: "Roboto Flex", sans-serif;
    font-optical-sizing: auto;
    font-weight: 100;
    font-style: normal;
    font-variation-settings:
      "slnt" 0,
      "wdth" 100,
      "GRAD" 0,
      "XOPQ" 96,
      "XTRA" 468,
      "YOPQ" 79,
      "YTAS" 750,
      "YTDE" -203,
      "YTFI" 738,
      "YTLC" 514,
      "YTUC" 712;
}

#navbar {
    position: sticky;
    top: 0;
    overflow: hidden;
    z-index: 1000;
}

a#nav {
    color: aliceblue;
    text-decoration: none;
    
}

a#nav:hover {
    color: #ffffff;
    text-decoration: underline;
}

#thanks {
    padding: 15px;
    padding-left: 25px;
    padding-right: 25px;
    background-color: aliceblue;
    align-items: center;
    border-radius: 20px;
    border: #000091 solid 4px;
}

#trip {
    padding: 15px;
    padding-left: 25px;
    padding-right: 25px;
    background-color: aliceblue;
    align-items: center;
    border-radius: 20px;
    border: #ffffff solid 4px;
}

#work{
    padding: 15px;
    padding-left: 25px;
    padding-right: 25px;
    background-color: aliceblue;
    align-items: center;
    border-radius: 20px;
    border: #E1000F solid 4px;
}

#gallery {
    padding: 15px;
    padding-left: 25px;
    padding-right: 25px;
    background-color: aliceblue;
    align-items: center;
    border-radius: 20px;
    border: #ffffff solid 4px;
}

.gallery {
    /*--s: 250px; /* control the size 
    --g: 10px;  /* control the gap 
    --f: 1.5;   /* control the scale factor */
    
    display: grid;
    /* gap: var(--g);
    width: calc(3*var(--s) + 2*var(--g));
    aspect-ratio: 1; */
    grid-template-columns: repeat(2,auto);
    gap: 5px;
    
    background-color: aliceblue;
  }
  
  .gallery > img {
    max-width: 100%;
    height: auto;
    filter: grayscale(80%);

    transition: 1s;
  }
  
  .gallery img:hover{
    filter: grayscale(0);
    transform: scale(1.5);
  }
  
  
  body {
    display: grid;
    place-content: center;
  }

  main {
    background-color: rgb(216, 216, 216);
  }
/* div.scroll-container{
    background-color: rgb(218, 237, 255);
    overflow-x: auto;
    white-space: nowrap;
    padding: 5px;
    position: center;
    size: 70%;
}

div.scroll-container img {
    max-width: 15%;
    height: auto;
    padding: 5px;
    
} */

@media screen and (min-width: 1020px){
    header img{
        max-width: 100%;
        height: auto;
        overflow-x: hidden;
    }

    #work{
        padding: 15px;
        padding-left: 30px;
        background-color: aliceblue;

        border-radius: 20px;
        width: 80%;
    }

    .gallery {
        --s: 250px; /* control the size */
        --g: 10px;  /* control the gap */
        --f: 0.5;   /* control the scale factor */
        
        display: grid;
        gap: var(--g);
        width: calc(3*var(--s) + 2*var(--g));
        aspect-ratio: 1;
        grid-template-columns: repeat(4,auto);
        
        background-color: aliceblue;
      }
      
      .gallery > img {
        width: 0;
        height: 0;
        min-height: 100%;
        min-width: 100%;
        object-fit: cover;
        cursor: pointer;
        filter: grayscale(80%);
        transition: .35s linear;
      }
      
      .gallery img:hover{
        filter: grayscale(0);
        width:  calc(var(--s)*var(--f));
        height: calc(var(--s)*var(--f));
      }
}